CREATE TABLE t(a INTEGER, b REAL);
INSERT INTO t VALUES (1,1.5),(2,-2.5),(3,0.0);

CREATE INDEX idx ON t(b);

SELECT * FROM t
WHERE b >= -2.5 OR b < 2.0;

INSERT INTO t DEFAULT VALUES;

WITH cte AS (
  SELECT * FROM t WHERE b=(SELECT MAX(b) FROM t)
)
SELECT * FROM cte;

SELECT COUNT(*) FROM t;